Bug 684060 - Clojure does not use CLASSPATH
Summary: Clojure does not use CLASSPATH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clojure
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-11 00:33 UTC by Gérard Milmeister
Modified: 2011-10-04 21:11 UTC (History)
2 users (show)

Fixed In Version: clojure-1.3.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-21 15:39:21 UTC
Type: ---


Attachments (Terms of Use)

Description Gérard Milmeister 2011-03-11 00:33:44 UTC
Description of problem:
The way the start script is written, CLASSPATH is ignored. Thus, for example, (use ...) does not work, which needs the CLASSPATH to be set to the directory with the clojure namespaces.

Instead of:
  exec java ${JAVA_OPTS} -jar /usr/share/java/clojure.jar "$@"
it should be
  CLASSPATH=$CLASSPATH:/usr/share/java/clojure.jar
  export CLASSPATH
  exec java ${JAVA_OPTS} clojure.main "$@"

Comment 1 Jochen Schmitt 2011-09-21 15:39:21 UTC
This bug will be fixed in the upcoming 1.3.0 release of clojure.

You can try out the package clojure-1.3.0-0.1.fc17 from rawhide.

Comment 2 Fedora Update System 2011-09-25 18:43:49 UTC
clojure-1.3.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clojure-1.3.0-1.fc16

Comment 3 Fedora Update System 2011-10-04 21:11:51 UTC
clojure-1.3.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.